Skip to main content

Get all operation zones

GET 

/v1/operation-zones

Retrieve a paginated list of operation zones with optional name filtering

Request

Query Parameters

    page number

    Possible values: >= 1

    Default value: 1

    Page number for pagination

    limit number

    Possible values: >= 1

    Default value: 10

    Number of items per page

    name string

    Filter by zone name (case-insensitive)

Responses

List of operation zones retrieved successfully

Schema
    data object[]required

    The data of the paginated response

  • Array [
  • _id stringrequired

    The ID of the operation zone

    zoneName stringrequired

    The name of the operation zone

    currency objectrequired

    The currency of the operation zone

    iso stringrequired

    The ISO of the currency

    symbol stringrequired

    The symbol of the currency

    createdDate date-timerequired

    The created date of the operation zone

    dispatchRadius numberrequired

    The dispatch radius of the operation zone

    maxPickupRadius numberrequired

    The max pickup radius of the operation zone

    latestUpdate date-timerequired

    The latest update date of the operation zone

  • ]
  • total numberrequired

    The total number of items

    page numberrequired

    The current page

    limit numberrequired

    The number of items per page

    totalPages numberrequired

    The total number of pages

Loading...